POST api/Goods/Edit
Request Information
URI Parameters
None.
Body Parameters
base_goods| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
None. |
|
| dept_id | integer |
None. |
|
| ssdw | integer |
None. |
|
| name | string |
None. |
|
| type | string |
None. |
|
| specifications | string |
None. |
|
| unit | string |
None. |
|
| addtime | date |
None. |
|
| fee_ccf | decimal number |
None. |
|
| quantity | integer |
None. |
|
| weight | decimal number |
None. |
|
| dwmc | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"dept_id": 2,
"ssdw": 3,
"name": "sample string 4",
"type": "sample string 5",
"specifications": "sample string 6",
"unit": "sample string 7",
"addtime": "2026-03-26T14:27:30.2068322+08:00",
"fee_ccf": 9.1,
"quantity": 10,
"weight": 11.1,
"dwmc": "sample string 12"
}
multipart/form-data
Sample:
<base_goods xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Easyman.Model"><addtime>2026-03-26T14:27:30.2068322+08:00</addtime><dept_id>2</dept_id><dwmc>sample string 12</dwmc><fee_ccf>9.1</fee_ccf><id>1</id><name>sample string 4</name><quantity>10</quantity><specifications>sample string 6</specifications><ssdw>3</ssdw><type>sample string 5</type><unit>sample string 7</unit><weight>11.1</weight></base_goods>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServerResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| errcode |
返回码 |
integer |
None. |
| errmsg |
对返回码的文本描述内容 |
string |
None. |
| ReturnValue |
返回值 |
Object |
None. |
Response Formats
application/json, text/json
Sample:
{
"errcode": 1,
"errmsg": "sample string 2",
"ReturnValue": {}
}
multipart/form-data
Sample:
<ServerResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Easyman.Api.Models"><_x003C_ReturnValue_x003E_k__BackingField /><_x003C_errcode_x003E_k__BackingField>1</_x003C_errcode_x003E_k__BackingField><_x003C_errmsg_x003E_k__BackingField>sample string 2</_x003C_errmsg_x003E_k__BackingField></ServerResponse>